parent
6345418c6c
commit
dfe358d815
@ -1,18 +0,0 @@
|
|||||||
--- xdg-utils-1.0/scripts/xdg-open.mimeopen 2006-10-17 22:55:02.000000000 +0200
|
|
||||||
+++ xdg-utils-1.0/scripts/xdg-open 2006-10-17 22:55:15.000000000 +0200
|
|
||||||
@@ -360,6 +360,15 @@
|
|
||||||
|
|
||||||
open_generic()
|
|
||||||
{
|
|
||||||
+ if mimeopen -v 2>/dev/null 1>&2; then
|
|
||||||
+ mimeopen -n "$1"
|
|
||||||
+ if [ $? -eq 0 ]; then
|
|
||||||
+ exit_success
|
|
||||||
+ else
|
|
||||||
+ exit_failure_operation_failed
|
|
||||||
+ fi
|
|
||||||
+ fi
|
|
||||||
+
|
|
||||||
IFS=":"
|
|
||||||
for browser in $BROWSER; do
|
|
||||||
if [ x"$browser" != x"" ]; then
|
|
17
xdg-utils-1.0.2-mimeopen.patch
Normal file
17
xdg-utils-1.0.2-mimeopen.patch
Normal file
@ -0,0 +1,17 @@
|
|||||||
|
diff -up xdg-utils-1.0.2/scripts/xdg-open.mimeopen xdg-utils-1.0.2/scripts/xdg-open
|
||||||
|
--- xdg-utils-1.0.2/scripts/xdg-open.mimeopen 2007-06-24 14:58:01.000000000 -0500
|
||||||
|
+++ xdg-utils-1.0.2/scripts/xdg-open 2008-01-18 08:49:50.000000000 -0600
|
||||||
|
@@ -360,6 +360,13 @@ open_xfce()
|
||||||
|
|
||||||
|
open_generic()
|
||||||
|
{
|
||||||
|
+ if mimeopen -v 2>/dev/null 1>&2; then
|
||||||
|
+ mimeopen -n "$1"
|
||||||
|
+ if [ $? -eq 0 ]; then
|
||||||
|
+ exit_success
|
||||||
|
+ fi
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
IFS=":"
|
||||||
|
for browser in $BROWSER; do
|
||||||
|
if [ x"$browser" != x"" ]; then
|
@ -2,7 +2,7 @@
|
|||||||
Summary: Basic desktop integration functions
|
Summary: Basic desktop integration functions
|
||||||
Name: xdg-utils
|
Name: xdg-utils
|
||||||
Version: 1.0.2
|
Version: 1.0.2
|
||||||
Release: 2%{?dist}
|
Release: 3%{?dist}
|
||||||
|
|
||||||
URL: http://portland.freedesktop.org/
|
URL: http://portland.freedesktop.org/
|
||||||
Source0: http://portland.freedesktop.org/download/xdg-utils-%{version}%{?beta}.tgz
|
Source0: http://portland.freedesktop.org/download/xdg-utils-%{version}%{?beta}.tgz
|
||||||
@ -11,7 +11,7 @@ Group: System Environment/Base
|
|||||||
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
||||||
BuildArch: noarch
|
BuildArch: noarch
|
||||||
|
|
||||||
Patch1: xdg-utils-1.0-mimeopen.patch
|
Patch1: xdg-utils-1.0.2-mimeopen.patch
|
||||||
Patch2: xdg-utils-1.0.1-typo.patch
|
Patch2: xdg-utils-1.0.1-typo.patch
|
||||||
Patch3: xdg-utils-1.0.1-htmlview.patch
|
Patch3: xdg-utils-1.0.1-htmlview.patch
|
||||||
|
|
||||||
@ -30,7 +30,7 @@ Requires: which
|
|||||||
|
|
||||||
|
|
||||||
%description
|
%description
|
||||||
The xdg-utils package is a set of simple scripts that provide basic
|
The %{name} package is a set of simple scripts that provide basic
|
||||||
desktop integration functions for any Free Desktop, such as Linux.
|
desktop integration functions for any Free Desktop, such as Linux.
|
||||||
They are intended to provide a set of defacto standards.
|
They are intended to provide a set of defacto standards.
|
||||||
This means that:
|
This means that:
|
||||||
@ -66,9 +66,9 @@ make %{?_smp_mflags}
|
|||||||
|
|
||||||
|
|
||||||
%install
|
%install
|
||||||
rm -rf $RPM_BUILD_ROOT
|
rm -rf %{buildroot}
|
||||||
|
|
||||||
make install DESTDIR=$RPM_BUILD_ROOT
|
make install DESTDIR=%{buildroot}
|
||||||
|
|
||||||
|
|
||||||
%files
|
%files
|
||||||
@ -79,10 +79,14 @@ make install DESTDIR=$RPM_BUILD_ROOT
|
|||||||
|
|
||||||
|
|
||||||
%clean
|
%clean
|
||||||
rm -rf $RPM_BUILD_ROOT
|
rm -rf %{buildroot}
|
||||||
|
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Fri Jan 18 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.2-3
|
||||||
|
- fix mimeopen support (#429280)
|
||||||
|
- spec cosmetics: cleanup macro usage
|
||||||
|
|
||||||
* Wed Oct 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.2-2
|
* Wed Oct 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.2-2
|
||||||
- Requires: which (#312601)
|
- Requires: which (#312601)
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user